### Method

# Gom Resource fetch_m2m_async

#### Declaration [src]

    void
    gom_resource_fetch_m2m_async (
      GomResource* resource,
      GType resource_type,
      const gchar* m2m_table,
      GomFilter* filter,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `gom_resource_fetch_m2m_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`resource_type`

  Type: `GType`

  No description available.

`m2m_table`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filter`

  Type: `GomFilter`

  No description available.

  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.